  $(document).ready(function(){
     $('#dateReceived').datetimepicker({
      format: 'YYYY-MM-DD'
    });
    $('#partnerType').change(function(tve){
      tve.preventDefault();
      // var theIDD = $(this).siblings('.shortCodeEntryRowId').val();
      var selectedPartnerType = $(this).val();
      $.ajax({
        type: "GET",
        url: base_url + '/infrastructure/get-vpn-partner-list/' + selectedPartnerType,
        processData: false,
        contentType: false,
        async: false,
        success: function (data){
          if (data.code === 1) {
            $('#partnerTypeID').empty();
            $.each(data.result, function(id, row) {
                // console.log(row);
                $('#partnerTypeID').append($("<option />").val(row.id).text(row.partner));
            });
  
            // $('#partnerTypeIDd').val(data.result).change();
            // $('#codeStatusEdit').val(data.result.status).change();
            // $('#network').val(data.result.network).change();
            
          }
          else if (data.code > 1) {
            $.alert({
                title: 'Alert!',
                content: data.msg,
            });
          }
          else {
            $.alert({
                title: 'Alert!',
                content: 'Your request could not be handled. Try again !',
            });

          }
        }
    });
    });
  });
